%define	name	bos
%define	version 2.4.1
%define rel	2
%define	release	%mkrel %rel
%define	Summary	Invasion: Battle of survival

Name:		%{name} 
Summary:	A real time strategy game
Version:	%{version} 
Release:	%{release} 
Source0:	http://www.boswars.org/dist/releases/boswars-%{version}-src.tar.gz
# It doesn't provide it's own icon yet
# Found this on their patch tracker
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
URL:		http://www.boswars.org/
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	scons X11-devel lua-devel mesagl-devel libogg-devel
BuildRequires:	SDL-devel bzip2-devel oggvorbis-devel libmikmod-devel
BuildRequires:	libpng-devel libmng-devel
BuildRequires:  MesaGLU-devel ImageMagick libtheora-devel

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine. 

%prep
%setup -q -n boswars-%{version}-src

%build
scons opengl=1 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_gamesbindir,%_gamesdatadir/bos}
install -m755 boswars $RPM_BUILD_ROOT%_gamesbindir

cp -ra campaigns graphics languages maps scripts sounds units video $RPM_BUILD_ROOT%{_gamesdatadir}/bos/
cat << EOF > ./bos.sh
#!/bin/sh
boswars \$@ -d %{_gamesdatadir}/bos/
EOF
install -m755 ./bos.sh -D $RPM_BUILD_ROOT%{_gamesbindir}/bos

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Bos Wars
Comment=Invasion: Battle of survival - a real time strategy game
Exec=%{_gamesbindir}/bos
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%update_menus

%files 
%defattr(-,root,root)
%doc doc/*
%dir %{_gamesdatadir}/bos/
%{_gamesdatadir}/bos/*
%{_gamesbindir}/bos
%{_gamesbindir}/boswars
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.4.1-2mdv2008.0
+ Revision: 80030
- only one build (GL is a run time option)

  + Funda Wang <fundawang@mandriva.org>
    - fix URL

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 2.4.1-1mdv2008.0
+ Revision: 79688
- New version 2.4.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.4-2mdv2008.0
+ Revision: 71993
- add a non GL build since the GL version makes a radeon 8500 slow like hell for no rendering improvement
- drop debian style menu entry

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.4-1mdv2008.0
+ Revision: 64185
- new release (that now build with lua-5.1)
- fix versionning

* Mon Jul 02 2007 Olivier Blin <oblin@mandriva.com> 2.3-1mdv2008.0
+ Revision: 47151
- build in %%build section...

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new release
    - drop noarch tag, add buildrequires (stratagus engine was merged)
    - new release
    - drop noarch tag, add buildrequires (stratagus engine was merged)


* Wed Jan 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.1-1mdv2007.0
+ Revision: 109769
- new release: 2.0.1

* Wed Dec 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0-1mdv2007.1
+ Revision: 96327
- Convert icons upfront to avoid dependency on ImageMagick and related weirdness
- 2.0
  add xdg menu
- Import bos

* Fri Aug 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-3mdk
- fix buildrequires
- fix hidden-file-or-dir

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandrake.org> 1.1-2mdk
- Provide it's own icon
- Launchscript accepts commandline parameters

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandrake.org> 1.1-1mdk
- Initial Mandriva Linux package

